import { Component } from '@angular/core';
import { UsersService } from '../services/users.service';
import { Image, ImagesService } from '../services/images.service';
import { environment } from 'src/environments/environment';

@Component({
  selector: 'app-page-home',
  templateUrl: './page-home.component.html',
  styleUrls: ['./page-home.component.scss']
})
export class PageHomeComponent {
    public images: Image[] = [];
    public environment = environment;

    public constructor(
        images: ImagesService,
        public users: UsersService,
    ) {
        images.feed().then(v => this.images = v);
    }
}
